loci.formats.tools

## Class AmiraParameters

- java.lang.Object
- - loci.formats.tools.AmiraParameters

-     public class AmiraParameters
      extends java.lang.Object

  AmiraParameters handles parsing and writing of AmiraMesh headers.
  Author:
    Gregory Jefferis jefferis at gmail.com, Johannes Schindelin johannes.schindelin at gmx.de

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `ascii`
    `protected char` | `c`
    `protected int` | `column`
    `int` | `depth`
    `int` | `firstDataStream`
    `int` | `height`
    `protected loci.common.RandomAccessInputStream` | `in`
    `boolean` | `littleEndian`
    `private static org.slf4j.Logger` | `LOGGER`
    `protected java.util.Map` | `map`
    `int` | `nStreams`
    `protected int` | `row`
    `java.lang.String[]` | `streamNames`
    `protected java.util.Map` | `streams`
    `java.lang.String[]` | `streamTypes`
    `int` | `width`
    `double` | `x0`
    `double` | `x1`
    `double` | `y0`
    `double` | `y1`
    `double` | `z0`
    `double` | `z1`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AmiraParameters(loci.common.RandomAccessInputStream inputStream)`
    `AmiraParameters(java.lang.String path)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `entryToString(java.lang.Object object, java.lang.String indent)`
    `protected void` | `extractCoreMetaData()`
    `java.util.Map` | `getMap()`
    `java.util.Map` | `getStreams()`
    `static void` | `main(java.lang.String[] args)`
    `protected char` | `readByte()`
    `protected java.lang.Double[]` | `readDoubleArray(int count)`
    `protected void` | `readFile(loci.common.RandomAccessInputStream inputStream)`
    `protected void` | `readFile(java.lang.String path)`
    `protected java.lang.Integer[]` | `readIntArray()`
    `protected java.lang.Integer[]` | `readIntArray(int count)`
    `protected java.lang.String` | `readKey()`
    `protected java.util.Map` | `readMap()`
    `protected java.lang.Number` | `readNumber()`
    `protected java.lang.Number[]` | `readNumberArray()`
    `protected java.lang.String` | `readQuotedString()`
    `protected void` | `readTopLevel()`
    `protected void` | `skipComment()`
    `protected void` | `skipWhiteSpace()`
    `protected void` | `syntaxError(java.lang.String message)`
    `java.lang.String` | `toString()`
    `static java.lang.String` | `toString(java.util.Map map, java.lang.String indent)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### width

          public int width

    - #### height

          public int height

    - #### depth

          public int depth

    - #### firstDataStream

          public int firstDataStream

    - #### x0

          public double x0

    - #### y0

          public double y0

    - #### z0

          public double z0

    - #### x1

          public double x1

    - #### y1

          public double y1

    - #### z1

          public double z1

    - #### littleEndian

          public boolean littleEndian

    - #### ascii

          public boolean ascii

    - #### nStreams

          public int nStreams

    - #### streamNames

          public java.lang.String[] streamNames

    - #### streamTypes

          public java.lang.String[] streamTypes

    - #### in

          protected transient loci.common.RandomAccessInputStream in

    - #### map

          protected java.util.Map map

    - #### streams

          protected java.util.Map streams

    - #### column

          protected int column

    - #### row

          protected int row

    - #### c

          protected char c

    - #### LOGGER

          private static final org.slf4j.Logger LOGGER

  - ### Constructor Detail

    - #### AmiraParameters

          public AmiraParameters(java.lang.String path)
                          throws FormatException

      Throws:
        `FormatException`

    - #### AmiraParameters

          public AmiraParameters(loci.common.RandomAccessInputStream inputStream)
                          throws FormatException,
                                 java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

  - ### Method Detail

    - #### readFile

          protected void readFile(java.lang.String path)
                           throws FormatException

      Throws:
        `FormatException`

    - #### readFile

          protected void readFile(loci.common.RandomAccessInputStream inputStream)
                           throws FormatException,
                                  java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### extractCoreMetaData

          protected void extractCoreMetaData()
                                      throws FormatException

      Throws:
        `FormatException`

    - #### syntaxError

          protected void syntaxError(java.lang.String message)
                              throws FormatException

      Throws:
        `FormatException`

    - #### readTopLevel

          protected void readTopLevel()
                               throws FormatException,
                                      java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### readByte

          protected char readByte()
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### skipComment

          protected void skipComment()
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### skipWhiteSpace

          protected void skipWhiteSpace()
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readKey

          protected java.lang.String readKey()
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readNumber

          protected java.lang.Number readNumber()
                                         throws FormatException,
                                                java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### readIntArray

          protected java.lang.Integer[] readIntArray()
                                              throws FormatException,
                                                     java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### readNumberArray

          protected java.lang.Number[] readNumberArray()
                                                throws FormatException,
                                                       java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### readIntArray

          protected java.lang.Integer[] readIntArray(int count)
                                              throws FormatException,
                                                     java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### readDoubleArray

          protected java.lang.Double[] readDoubleArray(int count)
                                                throws FormatException,
                                                       java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### readQuotedString

          protected java.lang.String readQuotedString()
                                               throws FormatException,
                                                      java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### readMap

          protected java.util.Map readMap()
                                   throws FormatException,
                                          java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### getMap

          public java.util.Map getMap()

    - #### getStreams

          public java.util.Map getStreams()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toString

          public static java.lang.String toString(java.util.Map map,
                                                  java.lang.String indent)
                                           throws FormatException

      Throws:
        `FormatException`

    - #### entryToString

          public static java.lang.String entryToString(java.lang.Object object,
                                                       java.lang.String indent)
                                                throws FormatException

      Throws:
        `FormatException`

    - #### main

          public static void main(java.lang.String[] args)

Copyright © 2026 Open Microscopy Environment